<template>
    <section class="settings_main">
        <div class="p-3 w-100">
            <div v-if="conferencePages.length > 0" class="settings_content_inr base_block">
                <div class="settings_panel">
                    <div class="settings_panel_ttl" style="margin-bottom: 10px; padding: 10px 16px; border-bottom: 1px solid #E9EDF6;">
                        <div class="txt">Conferences</div>
                    </div>

                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        <li v-for="page in conferencePages" class="nav-item">
                            <a href="javascript:void(0);"
                               class="nav-link dav_conf_nav_link"
                               :class="{active: selectedConference === page.conference_name, conference_is_locked: page.locked}"
                               data-toggle="tab" role="tab"
                               @click="selectedConference = page.conference_name"
                            >
                                {{parseInt(page.conference_name)}}
                                <span v-if="page.locked" @click="confAction('unlock')" class="myTooltip">
                                    <span class="myTooltiptext">Make conference public (anybody can join)</span>
                                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 22 22"><defs><clipPath><rect y="8" x="8" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect width="32" height="32" x="392.57" y="507.8" fill="none" rx="16"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect width="32" height="32" x="392.57" y="507.8" fill="none" rx="16"/></clipPath><clipPath><rect width="32" height="32" x="8" y="8" fill="none" rx="16"/></clipPath><clipPath><rect width="32" height="32" x="392.57" y="507.8" fill="none" rx="16"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect y="8" x="8" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><path d="m0 706.47h1490.93v-706.47h-1490.93v706.47"/></clipPath><clipPath><path d="m22.2 686.12h1447.73v-667.19h-1447.73v667.19"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect y="507.8" x="392.57" height="32" width="32" fill="none" rx="16"/></clipPath><clipPath><rect y="8" x="8" height="32" width="32" fill="none" rx="16"/></clipPath></defs><g transform="matrix(.9939 0 0 .9939.06-1023.96)" fill="#E05134"><path d="m12.157 1046.55c.017.093-.045.168-.139.168h-1.997c-.094 0-.157-.076-.139-.168l.318-1.685c-.241-.219-.392-.536-.392-.887 0-.663.537-1.2 1.2-1.2.663 0 1.2.537 1.2 1.2 0 .342-.143.65-.372.869z"/><path d="m14.216 1040.15h-6.415v-1.98c0-1.769 1.439-3.207 3.207-3.207 1.769 0 3.207 1.439 3.207 3.207zm1.711.018v-1.998c0-2.712-2.206-4.919-4.919-4.919-2.712 0-4.919 2.207-4.919 4.919v1.998c-.388.081-.68.426-.68.837v7.488c0 .472.384.855.856.855h9.485c.472 0 .856-.384.856-.855v-7.488c0-.411-.292-.756-.68-.837"/></g></svg>
                                </span>
                                <span v-else @click="confAction('lock')" class="myTooltip">
                                    <span class="myTooltiptext">Make conference private (nobody can join)</span>
                                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 22 22"><g transform="matrix(.04252 0 0 .04252 3 2.958)" fill="#4d4d4d"><path d="m299.02 161.26h-185.84v-46.28c0-41.34 33.635-74.979 74.979-74.979 33.758 0 63.51 22.716 72.36 55.24 2.898 10.657 13.888 16.946 24.547 14.05 10.659-2.898 16.949-13.889 14.05-24.548-13.57-49.896-59.2-84.74-110.96-84.74-63.4 0-114.98 51.58-114.98 114.98v46.715c-9.06 1.902-15.888 9.952-15.888 19.571v175.05c0 11.03 8.972 20 20 20h221.73c11.03 0 20-8.972 20-20v-175.05c0-11.03-8.972-20-20-20"/><path d="m215.02 310.91c.408 2.162-1.058 3.931-3.258 3.931h-46.677c-2.2 0-3.666-1.769-3.258-3.931l7.432-39.39c-5.626-5.131-9.157-12.52-9.157-20.734 0-15.495 12.561-28.06 28.06-28.06 15.495 0 28.06 12.561 28.06 28.06 0 7.991-3.346 15.195-8.707 20.305z"/></g></svg>
                                </span>
                                <br/>
                                <font style="font-weight:300;font-size:smaller;">
                                    {{page.run_time == 0 ? "00:00" : (
                                        (page.run_time < 3600
                                            ? (
                                                page.run_time / 60 < 10
                                                ? ('0' + Math.floor(page.run_time/60) + ':' + (page.run_time % 60 < 10 ? '0' + page.run_time % 60 : page.run_time % 60))
                                                : (Math.floor(page.run_time/60) + ':' + (page.run_time % 60 < 10 ? '0' + page.run_time % 60 : page.run_time % 60))
                                              )
                                            : (
                                                 Math.floor(page.run_time / 3600).toString().concat(
                                                    ((page.run_time - Math.floor(page.run_time / 3600) * 3600) / 60) < 10
                                                    ? (':0' + Math.floor((page.run_time - Math.floor(page.run_time / 3600) * 3600) / 60) + ':' + (page.run_time % 60 < 10 ? '0' + page.run_time % 60 : page.run_time % 60))
                                                    : (':' + Math.floor((page.run_time - Math.floor(page.run_time / 3600) * 3600) / 60) + ':' + (page.run_time % 60 < 10 ? '0' + page.run_time % 60 : page.run_time % 60)))
                                              )
                                        )
                                    )}}
                                </font>
                            </a>
                        </li>
                    </ul>

                    <div class="tab-content p-3" id="myTabContent">
                        <div class="settings_panel_cnt">
                            <div class="table-responsive settings_content_tb">
                                <table class="table table-striped table-hover">
                                    <thead>
                                    <tr>
                                        <th style="width: 3%;">#</th>
                                        <th style="width: 3%;">Id</th>
                                        <th style="width: 70%;">Operator Name</th>
                                        <th style="width: 18%;">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr v-for="(member, index) in members">
                                        <td>{{index + 1}}</td>
                                        <td>{{member.id}}</td>
                                        <td>{{member.caller_id_name}}</td>
                                        <td>

                                            <button v-if="member.flags.can_speak" @click="uni1('tmute',member.id)" class="dav_conf_mar myTooltip">
                                                <span class="myTooltiptext">Disable member's microphone</span>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="23.724" height="25.042" viewBox="0 0 23.724 25.042">
                                                    <g id="reduced-volume" transform="translate(-9.136)">
                                                        <g id="Group_633" data-name="Group 633" transform="translate(9.136)">
                                                            <path id="Path_1130" data-name="Path 1130" d="M23.634,0a1.266,1.266,0,0,0-.927.391L15.85,7.249h-5.4A1.336,1.336,0,0,0,9.136,8.567v7.908a1.337,1.337,0,0,0,1.318,1.318h5.4l6.857,6.858a1.318,1.318,0,0,0,2.245-.927V1.318a1.268,1.268,0,0,0-.391-.927A1.269,1.269,0,0,0,23.634,0Z" transform="translate(-9.136)" fill="#42CBEE"/>
                                                            <path id="Path_1131" data-name="Path 1131" d="M272.526,107.077a4.729,4.729,0,0,0-2.317-1.915,1.146,1.146,0,0,0-.514-.1,1.284,1.284,0,0,0-.927.381,1.258,1.258,0,0,0-.392.937,1.108,1.108,0,0,0,.247.731,2.4,2.4,0,0,0,.6.515q.35.216.7.474a2.08,2.08,0,0,1,.6.731,2.91,2.91,0,0,1,0,2.348,2.083,2.083,0,0,1-.6.731q-.35.257-.7.473a2.4,2.4,0,0,0-.6.515,1.108,1.108,0,0,0-.247.731,1.257,1.257,0,0,0,.392.937,1.284,1.284,0,0,0,.927.381,1.148,1.148,0,0,0,.514-.1,4.865,4.865,0,0,0,2.317-1.925A5.25,5.25,0,0,0,273.4,110,5.31,5.31,0,0,0,272.526,107.077Z" transform="translate(-249.678 -97.481)" fill="#42CBEE"/>
                                                        </g>
                                                    </g>
                                                </svg>
                                            </button>
                                            <button v-else @click="uni1('tmute',member.id)" class="dav_conf_mar myTooltip">
                                                <span class="myTooltiptext">Enable member's microphone</span>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24.995" height="25" viewBox="0 0 24.995 25">
                                                    <g id="mute" transform="translate(-0.045 0)">
                                                        <path id="Path_1132" data-name="Path 1132" d="M193.7.9a.894.894,0,0,0-.5-.8A.869.869,0,0,0,192.25.2l-7.909,6.3,9.356,9.356Z" transform="translate(-174.013 0)" fill="#e05134"/>
                                                        <path id="Path_1133" data-name="Path 1133" d="M24.779,23.539,1.568.328A.893.893,0,0,0,.306,1.59L5.923,7.209H5.4A1.814,1.814,0,0,0,3.614,8.995v7.142A1.791,1.791,0,0,0,5.4,17.922H9.542l8.695,6.945a.91.91,0,0,0,.553.2,1.045,1.045,0,0,0,.393-.089.893.893,0,0,0,.5-.8v-3.2L23.515,24.8a.893.893,0,1,0,1.264-1.262Z" transform="translate(0 -0.063)" fill="#e05134"/>
                                                    </g>
                                                </svg>
                                            </button>

                                            <button v-if="member.flags.can_hear" @click="uni1('deaf',member.id)" class="dav_conf_mar myTooltip">
                                                <span class="myTooltiptext">Disable member's sound output</span>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="17.829" height="25.58" viewBox="0 0 17.829 25.58">
                                                    <g id="ear" transform="translate(-50)">
                                                        <path id="XMLID_20_" d="M65.232,2.778A8.762,8.762,0,0,0,58.914,0,8.924,8.924,0,0,0,50,8.914a1.163,1.163,0,1,0,2.325,0,6.6,6.6,0,0,1,6.589-6.589A6.854,6.854,0,0,1,65.5,8.914c0,3.478-3.732,9.046-5.176,10.907a25.284,25.284,0,0,1-3.171,3.433H54.263a1.163,1.163,0,0,0,0,2.325h3.1c.65,0,1.336-.37,3.093-2.323.884-.983,1.658-1.949,1.691-1.989l.01-.012c.232-.3,5.671-7.349,5.671-12.341A8.987,8.987,0,0,0,65.232,2.778Z" fill="#42cbee"/>
                                                        <path id="XMLID_21_" d="M111.163,72.4a1.163,1.163,0,0,0,0,2.325,3.488,3.488,0,0,0,1.163-6.776V64.263a1.938,1.938,0,1,1,3.876,0,1.163,1.163,0,1,0,2.325,0,4.263,4.263,0,1,0-8.527,0v4.651a1.163,1.163,0,0,0,1.163,1.163,1.163,1.163,0,0,1,0,2.325Z" transform="translate(-55.349 -55.349)" fill="#42cbee"/>
                                                    </g>
                                                </svg>
                                            </button>
                                            <button v-else @click="uni1('undeaf',member.id)" class="dav_conf_mar myTooltip">
                                                <span class="myTooltiptext">Enable member's sound output</span>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="17.829" height="25.58" viewBox="0 0 17.829 25.58">
                                                    <g id="ear" transform="translate(-50)">
                                                        <path id="XMLID_20_" d="M65.232,2.778A8.762,8.762,0,0,0,58.914,0,8.924,8.924,0,0,0,50,8.914a1.163,1.163,0,1,0,2.325,0,6.6,6.6,0,0,1,6.589-6.589A6.854,6.854,0,0,1,65.5,8.914c0,3.478-3.732,9.046-5.176,10.907a25.284,25.284,0,0,1-3.171,3.433H54.263a1.163,1.163,0,0,0,0,2.325h3.1c.65,0,1.336-.37,3.093-2.323.884-.983,1.658-1.949,1.691-1.989l.01-.012c.232-.3,5.671-7.349,5.671-12.341A8.987,8.987,0,0,0,65.232,2.778Z" fill="#b2b9c4"/>
                                                        <path id="XMLID_21_" d="M111.163,72.4a1.163,1.163,0,0,0,0,2.325,3.488,3.488,0,0,0,1.163-6.776V64.263a1.938,1.938,0,1,1,3.876,0,1.163,1.163,0,1,0,2.325,0,4.263,4.263,0,1,0-8.527,0v4.651a1.163,1.163,0,0,0,1.163,1.163,1.163,1.163,0,0,1,0,2.325Z" transform="translate(-55.349 -55.349)" fill="#b2b9c4"/>
                                                    </g>
                                                </svg>
                                            </button>

                                            <button @click="uni1('kick',member.id)" class="dav_conf_mar myTooltip">
                                                <span class="myTooltiptext">Kick member with sound</span>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16.659" height="25.426" viewBox="0 0 16.659 25.426">
                                                    <g id="open-exit-door" transform="translate(-85.211)">
                                                        <path id="Path_1134" data-name="Path 1134" d="M91.1,0V1.853H85.211V23.546l5.891,0v1.876l10.756-1.932.011-21.549Zm1.784,11.862a.772.772,0,0,1,.654.851.677.677,0,1,1-1.308,0A.772.772,0,0,1,92.886,11.862ZM86.96,21.8V3.6H91.1V21.8Z" fill="#b2b9c4"/>
                                                    </g>
                                                </svg>
                                            </button>
                                            <button @click="uni1('hup',member.id)" class="dav_conf_mar myTooltip">
                                                <span class="myTooltiptext">Kick member without sound</span>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="22.352" height="25.425" viewBox="0 0 22.352 25.425">
                                                    <g id="Group_637" data-name="Group 637" transform="translate(-1105.362 -267.421)">
                                                        <g id="reduced-volume" transform="translate(1106.874 274.302)">
                                                            <g id="Group_633" data-name="Group 633" transform="translate(9.136)">
                                                                <path id="Path_1130" data-name="Path 1130" d="M16.288,0a.625.625,0,0,0-.457.193L12.448,3.576H9.786a.659.659,0,0,0-.65.65v3.9a.66.66,0,0,0,.65.65h2.662l3.383,3.383a.65.65,0,0,0,1.107-.457V.65a.625.625,0,0,0-.193-.457A.626.626,0,0,0,16.288,0Z" transform="translate(-9.136)" fill="#b2b9c4"/>
                                                                <path id="Path_1131" data-name="Path 1131" d="M270.424,106.055a2.333,2.333,0,0,0-1.143-.945.565.565,0,0,0-.254-.051.634.634,0,0,0-.457.188.62.62,0,0,0-.193.462.547.547,0,0,0,.122.361,1.184,1.184,0,0,0,.295.254q.172.107.345.234a1.026,1.026,0,0,1,.295.361,1.436,1.436,0,0,1,0,1.158,1.027,1.027,0,0,1-.295.361q-.173.127-.345.234a1.184,1.184,0,0,0-.295.254.547.547,0,0,0-.122.361.62.62,0,0,0,.193.462.633.633,0,0,0,.457.188.566.566,0,0,0,.254-.051,2.4,2.4,0,0,0,1.143-.95,2.59,2.59,0,0,0,.432-1.438A2.619,2.619,0,0,0,270.424,106.055Z" transform="translate(-259.153 -101.321)" fill="#b2b9c4"/>
                                                            </g>
                                                        </g>
                                                        <path id="Subtraction_5" data-name="Subtraction 5" d="M-5876.109-6195.574h0v-1.874l-5.891,0v-21.692h5.891V-6221l10.768,1.945,0,3.814-3.45,3.223h-4.1v8.462h4.629l2.915,2.848,0,3.2-10.756,1.931Zm-4.142-21.823v18.195l4.142,0v-18.2Zm5.926,8.259a.773.773,0,0,0-.654.851.774.774,0,0,0,.654.853.774.774,0,0,0,.654-.853A.773.773,0,0,0-5874.325-6209.138Z" transform="translate(6987.362 6488.42)" fill="#b2b9c4"/>
                                                    </g>
                                                </svg>
                                            </button>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                            <div class="settings_panel_cnt">
                                <div class="table-responsive settings_content_tb">
                                    <table class="table table-striped table-hover">
                                        <thead>
                                        <tr>
                                            <th scope="col">Id</th>
                                            <th scope="col">Conference Name</th>
                                            <th scope="col">Strategy</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr v-for="member in members">
                                            <td>{{member.id}}</td>
                                            <td>{{member.name}}</td>
                                            <td>{{member.strategy}}</td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="settings_panel p-3">

                    <div class="row justify-content-between">
                        <div class="col-3">
                            <div class="form-group">
                                <label for="action">
                                    Commands
                                </label>
                                <select id="action" class="form-control" ref="chooseCmd">
                                    <option value="mute">Mute...</option>
                                    <option value="unmute">Unmute...</option>
                                    <option value="deaf">Deaf...</option>
                                    <option value="undeaf">Undeaf...</option>
                                    <option value="kick">Kick...</option>
                                    <option value="hup">Hup...</option>
                                    <option value="dtmf">Send DTMF...</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="selectMember">
                                    Command value
                                </label>
                                <input type="text" id="selectMember" class="form-control" ref="inputData">
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <button type="button" @click="bottomActions()" class="login_main_sign_btn base_modal_btn" style="margin-top: 29px; max-height: 38px;">Execute</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div v-else style="font-size:18pt; font-weight:bold;margin-bottom:25px; color:red;">
                No active conferences
            </div>
            <div class="settings_content_inr base_block">
                <div class="settings_panel_ttl p-3" style="margin-bottom: 10px; padding: 26px 16px; border-bottom: 1px solid #E9EDF6;">
                    <span class="txt">How to use commands?</span>
                </div>
                <div class=" p-3">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th style="width:18%;">Command ("Commands")</th>
                                <th style="width:50%;">Definition</th>
                                <th style="width:29%;">Input data ("Command value")</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>
                                    Mute...
                                </td>
                                <td>
                                    Disable microphone of particular user/group
                                </td>
                                <td rowspan="6" style="vertical-align:middle;">
                                    <span style="font-weight:bold;">[ID]</span> - for particular user (see ID column in the conference members table)<hr/>
                                    <span style="font-weight:bold;">last</span> - use this value to use action for the last joined member<hr/>
                                    <span style="font-weight:bold;">non_moderator</span> - use this value to use action for the users with non_moderator status<hr/>
                                    <span style="font-weight:bold;">all</span> - use this value to use action for all members
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Unmute...
                                </td>
                                <td>
                                    Enable microphone of particular user/group
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Deaf...
                                </td>
                                <td>
                                    Disable sound output for particular user/group
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Undeaf...
                                </td>
                                <td>
                                    Enable sound output for particular user/group
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Kick...
                                </td>
                                <td>
                                    Kick particular member/group off from the conference (with sound accompaniment)
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Hup...
                                </td>
                                <td>
                                    Kick particular member/group off from the conference (without sound accompaniment)
                                </td>
                            </tr>
                            <tr>
                                <td style="vertical-align:middle;">
                                    Send DTMF...
                                </td>
                                <td style="vertical-align:middle;">
                                    Send DTMF tone to particular member/group
                                </td>
                                <td>
                                    Send two values: particular user/group (from usage example above)
                                    and DTMF (e.g., 123). E.g.: <span style="font-weight:bold;">all 123</span>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</template>


<script src="./script.js"></script>